Package org.apache.bsf.util.event.adapters

# Class java_awt_event_WindowAdapter

java.lang.Object
org.apache.bsf.util.event.EventAdapterImpl
org.apache.bsf.util.event.adapters.java_awt_event_WindowAdapter

All Implemented Interfaces:
  `WindowListener`, `EventListener`, `EventAdapter`

public class java_awt_event_WindowAdapter extends EventAdapterImpl implements WindowListener

- ## Field Summary

  ### Fields inherited from class org.apache.bsf.util.event.EventAdapterImpl

  `eventProcessor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `java_awt_event_WindowAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `windowActivated(WindowEvent e)`
  `void`
  `windowClosed(WindowEvent e)`
  `void`
  `windowClosing(WindowEvent e)`
  `void`
  `windowDeactivated(WindowEvent e)`
  `void`
  `windowDeiconified(WindowEvent e)`
  `void`
  `windowIconified(WindowEvent e)`
  `void`
  `windowOpened(WindowEvent e)`

  ### Methods inherited from class org.apache.bsf.util.event.EventAdapterImpl

  `setEventProcessor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### java_awt_event_WindowAdapter

    public java_awt_event_WindowAdapter()

- ## Method Details

  - ### windowActivated

    public void windowActivated(WindowEvent e)
    Specified by:
      `windowActivated` in interface `WindowListener`

  - ### windowClosed

    public void windowClosed(WindowEvent e)
    Specified by:
      `windowClosed` in interface `WindowListener`

  - ### windowClosing

    public void windowClosing(WindowEvent e)
    Specified by:
      `windowClosing` in interface `WindowListener`

  - ### windowDeactivated

    public void windowDeactivated(WindowEvent e)
    Specified by:
      `windowDeactivated` in interface `WindowListener`

  - ### windowDeiconified

    public void windowDeiconified(WindowEvent e)
    Specified by:
      `windowDeiconified` in interface `WindowListener`

  - ### windowIconified

    public void windowIconified(WindowEvent e)
    Specified by:
      `windowIconified` in interface `WindowListener`

  - ### windowOpened

    public void windowOpened(WindowEvent e)
    Specified by:
      `windowOpened` in interface `WindowListener`